#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xac16a27b, "");
SYMBOL_CRC(drm_gem_vram_put, 0xd56e5cf4, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xb6637914, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x037ce1a5, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x1cb61b92, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x4f44e3a0, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xbc94985f, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x8ee3dece, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xf8a4a49a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x7900c636, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x14e26323, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x0bd45559, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x835961c3, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xb037c6e7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19bae0ae, "dma_resv_reset_max_fences" },
	{ 0xb061de8f, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xde44409a, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa8ca6bb3, "drm_gem_object_release" },
	{ 0x1edf105b, "ttm_tt_init" },
	{ 0x3fbf1553, "drm_gem_handle_create" },
	{ 0x56ce1a4d, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5e0888f4, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xcb87a00a, "drm_debugfs_add_files" },
	{ 0xc3eaee0c, "ttm_bo_init_validate" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcfbc3b41, "ttm_device_init" },
	{ 0xc56b8e08, "ttm_bo_validate" },
	{ 0xb2ae27d4, "ttm_bo_move_to_lru_tail" },
	{ 0x43f3ba75, "ttm_bo_vmap" },
	{ 0x36cee53b, "ttm_bo_put" },
	{ 0x68c5c11, "ttm_resource_free" },
	{ 0xca7c8cb1, "ttm_bo_move_memcpy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf690b95a, "ttm_tt_fini" },
	{ 0x26359b94, "ttm_device_fini" },
	{ 0x9f8025f7, "drm_gem_plane_helper_prepare_fb" },
	{ 0x1a65bded, "ttm_bo_eviction_valuable" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xadb8c10f, "drm_gem_ttm_print_info" },
	{ 0xda4b7590, "ttm_range_man_init_nocheck" },
	{ 0x2c389c0c, "ww_mutex_lock_interruptible" },
	{ 0x560793d7, "ttm_resource_manager_debug" },
	{ 0xcef065ee, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x60f0d51c, "ttm_range_man_fini_nocheck" },
	{ 0x81977c15, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95ff134c, "ttm_bo_pin" },
	{ 0x62d4fdc0, "dev_driver_string" },
	{ 0xe5943b35, "drm_gem_ttm_mmap" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
