#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x592c2ab3, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x3c03b9f8, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x1aa0c0cf, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x62dcdde1, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x1166da0f, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0xe3d851ca, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x55646ac0, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0xb1d468e5, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x636eb148, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x138dbfa2, "fwnode_property_read_u32_array" },
	{ 0xb8a0d922, "fwnode_property_present" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xbed0ae62, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x189a89f3, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x48d8e377, "__dev_fwnode" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xed9f18, "_dev_warn" },
	{ 0xacc52f94, "fwnode_property_get_reference_args" },
	{ 0x84cead39, "fwnode_get_next_child_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x654e7d5a, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x3ff17ba8, "v4l2_async_subdev_nf_init" },
	{ 0xc1b0161, "v4l2_subdev_get_privacy_led" },
	{ 0xf9e2d19f, "is_acpi_device_node" },
	{ 0x92b149d4, "__v4l2_async_nf_add_fwnode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8364a1f9, "v4l2_subdev_put_privacy_led" },
	{ 0xbc32457f, "v4l2_async_nf_cleanup" },
	{ 0x9eded2a4, "is_acpi_data_node" },
	{ 0x93a25a90, "v4l2_async_nf_register" },
	{ 0x5c47d8c, "__v4l2_async_register_subdev" },
	{ 0x2a3b5e4c, "v4l2_async_nf_unregister" },
	{ 0xd20a9bcb, "fwnode_graph_get_port_parent" },
	{ 0x1b55fc50, "fwnode_get_name" },
	{ 0xf1b49529, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x33972914, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
