#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x21ec0825, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x068aca91, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0x8541857e, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x3d6eacd5, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x9396b36d, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0x49d0c863, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x36e94691, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x9d4f5c96, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xfe4f122d, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0xeffbb3fa, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x50fbaee5, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xfdefa4a5, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x913ab369, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0x277d571a, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0xebe76e17, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x3749e7cb, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0xa4f731b1, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0xa98cc85e, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x007633fb, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xfa5ae311, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x52b39816, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xc90a29a7, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x7164c908, "_gpl");
SYMBOL_CRC(sdhci_request, 0x2feaa2eb, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0xd30b4c5c, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x405335b4, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xb74519c5, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0xfdc4787f, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xe6520aed, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0xc80716d7, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x07d3139d, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x971bd0f0, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x8f15826c, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xe4a85c33, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xaf1d121b, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x43bb2c92, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x8299103c, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0xc3a180fd, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0xe2d41b3c, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xb828209e, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0xca0723a3, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0x5a9a779c, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x8236c57a, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x3321b08e, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0xcaec4b25, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x48efd728, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x255c5841, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xff23a497, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x8681f230, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xd8682f58, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x4ec12a3d, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x19377130, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xce2e1ad4, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x2e6159d6, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x1fdaf707, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x846b64b2, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0xa75aa769, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xb5ab7f80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc2c0714, "dma_map_sg_attrs" },
	{ 0x78eb7aa0, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xe03711e, "dma_unmap_sg_attrs" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc0ebd500, "__dma_sync_single_for_cpu" },
	{ 0x7fe68c8d, "mmc_alloc_host" },
	{ 0xd9425574, "dma_free_attrs" },
	{ 0x79f42335, "regulator_disable" },
	{ 0xac9795b4, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb92a23b, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3c70cfc, "__dma_sync_sg_for_cpu" },
	{ 0xc9f73191, "mmc_send_abort_tuning" },
	{ 0xf2ebf1d4, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79eae1b, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa9c9ee58, "mmc_gpio_get_cd" },
	{ 0xc5f8a9b9, "mmc_can_gpio_cd" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe63d204, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe5a99908, "led_classdev_register_ext" },
	{ 0xf0de4c3d, "mmc_add_host" },
	{ 0x80e280f3, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x32fdd3af, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88af0f4b, "mmc_can_gpio_ro" },
	{ 0xc7752006, "mmc_gpio_get_ro" },
	{ 0xf0144e92, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc301cc42, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae8f095, "regulator_is_supported_voltage" },
	{ 0xe73cc971, "regulator_get_current_limit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc4a0f1fb, "regulator_enable" },
	{ 0x12970ddd, "dma_alloc_attrs" },
	{ 0x19ecfa8b, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4c91fffd, "dma_map_page_attrs" },
	{ 0x3cb91077, "devm_kfree" },
	{ 0xe350c398, "mmc_regulator_get_supply" },
	{ 0x2aeb5e80, "dma_max_mapping_size" },
	{ 0x86a00861, "dma_set_mask" },
	{ 0xee0221fa, "dma_set_coherent_mask" },
	{ 0x62d4fdc0, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd3e0f3aa, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1edddca6, "mmc_command_done" },
	{ 0xa4afbc71, "sdio_signal_irq" },
	{ 0xd5e18dbd, "sg_miter_next" },
	{ 0xdac54dfe, "sg_miter_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf84befb0, "param_ops_uint" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
