#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0xdf6b0712, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x5ca7b982, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xa7c157d0, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xdd93e20d, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x35813a10, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xf816fb37, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x8c2b3be1, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x117387cf, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xf6c7c129, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x4098de67, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x30af5ef4, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xb76740f7, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xf34b5ad7, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x1cd38cad, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x7394070a, "_gpl");
SYMBOL_CRC(mtd_erase, 0x95e71556, "_gpl");
SYMBOL_CRC(mtd_point, 0x5600d9df, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x441a02fc, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x64091db2, "_gpl");
SYMBOL_CRC(mtd_read, 0x55f02dc0, "_gpl");
SYMBOL_CRC(mtd_write, 0x3b615e4b, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xdd2789fa, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x89b1f1c0, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x51c18556, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x5f589a50, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xa4ef74f7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x65e19e5e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xb11f578a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xcc9eb228, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x42d40a6f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x5ce826c8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x40296ba9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x95e38988, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xf7078408, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x42f8d050, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x6e6f43e7, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x236e8553, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x7f2d00bc, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xac227cb2, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x3555ffd3, "_gpl");
SYMBOL_CRC(mtd_lock, 0x7f3701d2, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x79db7763, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xa9fbd7b7, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x15e47a64, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xa6d7229d, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x80946eae, "_gpl");
SYMBOL_CRC(mtd_writev, 0x3afe73fa, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xbdd25174, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xc588f90f, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x3688504d, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x665a4e12, "");
SYMBOL_CRC(mtd_concat_destroy, 0xf707115a, "");
SYMBOL_CRC(mtd_add_partition, 0x707c9d6b, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0xd26ac4c8, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x4982ee73, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xc041a065, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xa54447f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xe48e8be0, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x91dc4464, "debugfs_remove" },
	{ 0xbdc43daa, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5b475620, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcf8f321b, "bdi_alloc" },
	{ 0xdf17237c, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa6afe3ad, "__register_chrdev" },
	{ 0x79fc2e20, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c3553c0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc0197f4a, "remove_proc_entry" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x47da6362, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96099a36, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x6f7fa377, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd78e9700, "dev_err_probe" },
	{ 0x7621c194, "proc_create_single_data" },
	{ 0x74a14ab6, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x87860312, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6d5d7e30, "class_register" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb36402fe, "generic_shutdown_super" },
	{ 0x8ad3a945, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0xbc44cf6e, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7c907c04, "bdi_unregister" },
	{ 0xc310d2d8, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xac675d29, "bdi_register" },
	{ 0xe7704a43, "device_unregister" },
	{ 0x269dce8d, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x30ec33f, "logfc" },
	{ 0x948dc28f, "sysfs_remove_files" },
	{ 0x1a2f0ae2, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ae92ea, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13495e70, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xada8c555, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x808e48b6, "debugfs_create_bool" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
