#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x72fea936, "");
SYMBOL_CRC(b53_enable_port, 0x1d42270c, "");
SYMBOL_CRC(b53_disable_port, 0x3b9e6c54, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x74f728e1, "");
SYMBOL_CRC(b53_configure_vlan, 0x1aab3d31, "");
SYMBOL_CRC(b53_get_strings, 0x497c4126, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x52c084fe, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xb99e9c46, "");
SYMBOL_CRC(b53_get_sset_count, 0x0e4347a9, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x73d21689, "");
SYMBOL_CRC(b53_port_event, 0xf1a7b5be, "");
SYMBOL_CRC(b53_vlan_filtering, 0xbea43ebb, "");
SYMBOL_CRC(b53_vlan_add, 0x7c468752, "");
SYMBOL_CRC(b53_vlan_del, 0x954364b4, "");
SYMBOL_CRC(b53_fdb_add, 0xba2ad98c, "");
SYMBOL_CRC(b53_fdb_del, 0xe82af43e, "");
SYMBOL_CRC(b53_fdb_dump, 0x299fbedb, "");
SYMBOL_CRC(b53_mdb_add, 0xc8d66d91, "");
SYMBOL_CRC(b53_mdb_del, 0x8521abff, "");
SYMBOL_CRC(b53_br_join, 0xaaebf64d, "");
SYMBOL_CRC(b53_br_leave, 0x9f8b3a00, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xf9ac9b84, "");
SYMBOL_CRC(b53_br_fast_age, 0x40362271, "");
SYMBOL_CRC(b53_br_flags_pre, 0xcfa94bb0, "");
SYMBOL_CRC(b53_br_flags, 0x4aa19af8, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x146407e1, "");
SYMBOL_CRC(b53_mirror_add, 0x8242431c, "");
SYMBOL_CRC(b53_mirror_del, 0x5dcf3fdd, "");
SYMBOL_CRC(b53_eee_init, 0xf817f1bb, "");
SYMBOL_CRC(b53_get_mac_eee, 0x49e26380, "");
SYMBOL_CRC(b53_set_mac_eee, 0x84e10a8a, "");
SYMBOL_CRC(b53_switch_alloc, 0xfe8f5797, "");
SYMBOL_CRC(b53_switch_detect, 0x98e36516, "");
SYMBOL_CRC(b53_switch_register, 0x977d5aaf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ce29e6, "dsa_devlink_resources_unregister" },
	{ 0xdd3772c2, "dsa_devlink_resource_register" },
	{ 0x7fda1c9f, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x19ecfa8b, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0xa51066cd, "mdiobus_get_phy" },
	{ 0x1363f8dd, "phy_ethtool_get_stats" },
	{ 0xb403ea2b, "phy_ethtool_get_sset_count" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x3bc5e03d, "phy_ethtool_get_strings" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x426e40d2, "dsa_port_phylink_mac_change" },
	{ 0xc367b6c6, "phy_init_eee" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x97f06cae, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf8b212, "gpio_to_desc" },
	{ 0xdd1cca8a, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "23CA4F9951FE7DA4768D84E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
