#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x939f0748, "__dynamic_netdev_dbg" },
	{ 0x6188bd5c, "call_switchdev_notifiers" },
	{ 0x246a6f27, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86ee605, "spi_get_device_id" },
	{ 0x19ecfa8b, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7f41e23d, "device_property_present" },
	{ 0xc8678e13, "devm_gpiod_get_optional" },
	{ 0x425ce934, "spi_bus_lock" },
	{ 0x4a1d996b, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xffc3972, "spi_bus_unlock" },
	{ 0x6d5c8657, "devm_mdiobus_alloc_size" },
	{ 0x9aabf855, "__devm_mdiobus_register" },
	{ 0xa8a2ccdc, "devm_alloc_etherdev_mqs" },
	{ 0x565505f, "device_get_ethdev_address" },
	{ 0x630fd7db, "netif_carrier_off" },
	{ 0x620e383d, "get_phy_device" },
	{ 0x3d4d4581, "phy_connect" },
	{ 0x217cfe5a, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x4a2f0c2a, "devm_request_threaded_irq" },
	{ 0x580bfa8a, "devm_register_netdev" },
	{ 0xd6208ed2, "netdev_err" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x38d14c9d, "netif_tx_wake_queue" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8385a210, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x545bdcc4, "dev_addr_mod" },
	{ 0x782f0068, "eth_prepare_mac_addr_change" },
	{ 0xa3ad719, "phy_start" },
	{ 0x99335928, "ethtool_op_get_link" },
	{ 0x9dc17cff, "phy_ethtool_get_link_ksettings" },
	{ 0xea67ae7a, "phy_ethtool_set_link_ksettings" },
	{ 0x48c0c1ec, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7cbb93c4, "phy_disconnect" },
	{ 0x246af54e, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5fd6af1b, "phy_do_ioctl" },
	{ 0x877b3576, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd23787ff, "__spi_register_driver" },
	{ 0xeedf714f, "driver_unregister" },
	{ 0xbb0f4dfe, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x9f047723, "__netdev_alloc_skb" },
	{ 0xe6aa5a2f, "skb_put" },
	{ 0xea7e26a9, "skb_pull" },
	{ 0x3a26aaae, "eth_type_trans" },
	{ 0xa23b84a2, "netif_rx" },
	{ 0xcb0862e6, "sk_skb_reason_drop" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa7aaa168, "consume_skb" },
	{ 0x3b64ff84, "skb_dequeue" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
