#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x81babae6, "_gpl");
SYMBOL_CRC(pds_client_register, 0x0de72e72, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xfcf10e3e, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0xe1eff61c, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x812c47fe, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xf59026e8, "devl_lock" },
	{ 0xe4b3713e, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbbf70db7, "debugfs_create_u16" },
	{ 0xe70fd20, "__pci_register_driver" },
	{ 0x46c6dd73, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb007cc7d, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7195e6, "devlink_alloc_ns" },
	{ 0xff22d2fa, "pci_sriov_get_totalvfs" },
	{ 0xb6566789, "seq_lseek" },
	{ 0x94293276, "pci_reset_function_locked" },
	{ 0x180e755, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x8a851129, "pci_irq_vector" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xbba02c1f, "pci_unregister_driver" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45431cce, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x263d0906, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cbb218a, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x13495e70, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe9ffb059, "const_pcpu_hot" },
	{ 0x2a6a406c, "debugfs_create_regset32" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1cdbd4d1, "devl_health_reporter_create" },
	{ 0x90137cc1, "pci_iov_vf_id" },
	{ 0xb394cd6c, "debugfs_lookup" },
	{ 0x63c3c6d2, "pci_iomap_range" },
	{ 0x788493a9, "devlink_flash_update_timeout_notify" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x34ebb055, "init_net" },
	{ 0x808e48b6, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe2c755a3, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x12970ddd, "dma_alloc_attrs" },
	{ 0x91dc4464, "debugfs_remove" },
	{ 0x85bf0366, "seq_putc" },
	{ 0x6573f300, "ida_free" },
	{ 0xeb24fec4, "devl_params_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf40d15e2, "debugfs_create_ulong" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x551adf89, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x53e3cd80, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc9f45d8a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x683700e1, "debugfs_create_u32" },
	{ 0x9acdc872, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd1624a09, "pci_reset_function" },
	{ 0xe2759fdd, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee0221fa, "dma_set_coherent_mask" },
	{ 0xbac38856, "seq_read" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0xd9425574, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x15b31ba3, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x10d2fb38, "pci_release_regions" },
	{ 0x20b52664, "pcie_print_link_status" },
	{ 0xbbd20277, "pci_dev_get" },
	{ 0x79fc2e20, "seq_write" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96099a36, "seq_printf" },
	{ 0x6dbf66b8, "devlink_priv" },
	{ 0x4b9b94db, "pci_disable_sriov" },
	{ 0x1268f8e3, "debugfs_create_file_full" },
	{ 0xc94a84dd, "pci_disable_device" },
	{ 0x56377434, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x86a00861, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x9e9e257b, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xdf24e202, "devl_register" },
	{ 0x87860312, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x612cb00d, "pci_free_irq_vectors" },
	{ 0x31647685, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf1c63791, "pci_iov_get_pf_drvdata" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x71600dd7, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd617c98, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcfde4c39, "auxiliary_device_init" },
	{ 0x7b397130, "pci_iomap" },
	{ 0x3fe7f0c9, "pci_alloc_irq_vectors" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F4CEF02E65AEC824F2A3BF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
