#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x4c374f64, "");
SYMBOL_CRC(vnic_dev_get_res, 0xc9cb590f, "");
SYMBOL_CRC(vnic_dev_unregister, 0xbe22f11e, "");
SYMBOL_CRC(vnic_dev_register, 0x445af1f0, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x9751f895, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x96e60213, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a26aaae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4c91fffd, "dma_map_page_attrs" },
	{ 0x51bcee8f, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x88b5e27c, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x9a53a3aa, "__hw_addr_unsync_dev" },
	{ 0xf09b0355, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf6fc1291, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc0ebd500, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x249373c2, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x8b1aa2e, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x82e46abe, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe4c12c20, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x308d72b7, "dev_close" },
	{ 0x12970ddd, "dma_alloc_attrs" },
	{ 0x7e310e88, "pci_read_config_word" },
	{ 0xcc0fa198, "napi_enable" },
	{ 0x5f68056d, "netif_receive_skb" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xb01e5977, "register_netdev" },
	{ 0xd6e5393c, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x99335928, "ethtool_op_get_link" },
	{ 0x4ec9bd98, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x38d14c9d, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xed9f18, "_dev_warn" },
	{ 0xc9f45d8a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe3696650, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x9f047723, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee0221fa, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xde81a86b, "rps_may_expire_flow" },
	{ 0xd9425574, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x10d2fb38, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2edb5782, "call_netdevice_notifiers" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x630fd7db, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x58664446, "__hw_addr_sync_dev" },
	{ 0x4b9b94db, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x88ed6aa3, "netif_carrier_on" },
	{ 0x66835a74, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc94a84dd, "pci_disable_device" },
	{ 0x86a00861, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x44e0c037, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7c4a6973, "__napi_schedule_irqoff" },
	{ 0xa2426f58, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xda9388ad, "napi_disable" },
	{ 0xa73b1f5f, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31647685, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0x8c95778a, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x44f5cb19, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcfcaeb16, "pci_find_ext_capability" },
	{ 0x6f9685e6, "skb_copy_bits" },
	{ 0xe6aa5a2f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7a9fd30d, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x412124c8, "pci_enable_device_mem" },
	{ 0xa7aaa168, "consume_skb" },
	{ 0x7b397130, "pci_iomap" },
	{ 0x636c1b75, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x498a9efe, "unregister_netdev" },
	{ 0xa4880039, "dma_unmap_page_attrs" },
	{ 0xe70fd20, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xba24f171, "pci_disable_msi" },
	{ 0xb007cc7d, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xd342cd67, "pcpu_hot" },
	{ 0x48c0c1ec, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b4946e4, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe8379ea1, "__netif_napi_del" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbba02c1f, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xd6208ed2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62d4fdc0, "dev_driver_string" },
	{ 0x545bdcc4, "dev_addr_mod" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CD8CC2CB6AFBD9C335E48CE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
