#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x29c2ebe0, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x4e085b96, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x025a5768, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x3aaed3f6, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xf9bf37df, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x983f68c3, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x8c4bcb59, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x587c847b, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x8d7a3c3a, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xc4930fd7, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xf2f88132, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x2f6de0f2, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x39116063, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xd31d4455, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xaf8cbcd3, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xffa88cc1, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x67e077bf, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x67e2f288, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x4d111eaf, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x6534121a, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x0a38ea36, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xda4e0f56, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x9fa04985, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x7cc48a13, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xd80f1b4e, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44eeb4ea, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf60762a4, "__put_cred" },
	{ 0xf6e1d58c, "sk_error_report" },
	{ 0x720fbb6e, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbf4dde9c, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb0168d1, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe9ffb059, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a9a63bc, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xada8c555, "module_put" },
	{ 0xadf339de, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb0862e6, "sk_skb_reason_drop" },
	{ 0x3c97929b, "sk_free" },
	{ 0xff5ccf19, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa2e7c944, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6ced4207, "sock_recv_errqueue" },
	{ 0xa0e181e8, "lock_sock_nested" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xee77557f, "sk_alloc" },
	{ 0x5c0ddd41, "sock_no_socketpair" },
	{ 0x862d4c26, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3c99ac0, "sock_no_mmap" },
	{ 0xa9ff169c, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x40ce1a48, "nonseekable_open" },
	{ 0x6f5abff, "sk_psock_drop" },
	{ 0xa593e62b, "__dev_queue_xmit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x43a6208e, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xac38d630, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6fa600b5, "sock_setsockopt" },
	{ 0xcac61d49, "sock_init_data" },
	{ 0xb668e6c7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x89420ae9, "security_sock_graft" },
	{ 0x899db4b6, "sock_map_close" },
	{ 0x9cdd282e, "sock_queue_rcv_skb_reason" },
	{ 0x8ad3a945, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc89fc2c0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa7aaa168, "consume_skb" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x1a2f0ae2, "__module_get" },
	{ 0x4c51f464, "sk_stream_error" },
	{ 0x6605fa36, "sk_msg_recvmsg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64732D60AF80359829F2E5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
