#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x0872dc46, "");
SYMBOL_CRC(cl_dsp_init, 0xbf3e9688, "");
SYMBOL_CRC(hda_cl_trigger, 0x88e397f0, "");
SYMBOL_CRC(hda_cl_cleanup, 0xe7894998, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x6a5dba95, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0xe444d3d5, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0xd915e66a, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x92f431ec, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xa2907423, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0xd2aea435, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xbf4a8c58, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xf9da352d, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x5cadbc6b, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0x23673373, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x81126a12, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x90d2f081, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x90333d6b, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x852f7f21, "");
SYMBOL_CRC(hda_get_interface_mask, 0x0e5778ff, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x9d68ff1e, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0xcfef9a0c, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x18d714af, "");
SYMBOL_CRC(hda_dsp_core_run, 0x423465d0, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x3ea6a4cf, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x84664f00, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x83f7753e, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x1d4d9d88, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0xac3faca0, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0xb11f91af, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x12959892, "");
SYMBOL_CRC(hda_dsp_resume, 0xabf87409, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x3018db07, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x5fd48b4e, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x0dc16399, "");
SYMBOL_CRC(hda_dsp_suspend, 0x81391130, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x3a817142, "");
SYMBOL_CRC(hda_dsp_shutdown, 0xb617a446, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x3e5a4568, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x643033e9, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x2a6b12d9, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x6b028621, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0xdedfbcd2, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x22241e8c, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x9f82c196, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x71bdce8c, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0xe4479f16, "");
SYMBOL_CRC(hda_dsp_get_state, 0x0cd584c4, "");
SYMBOL_CRC(hda_dsp_dump, 0xe528cecc, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x651126f2, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x3f514ab3, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x234200e2, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x268873c8, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0xf0d4e3a0, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x1c101a67, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x6c233180, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x4bd7aa3a, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xbf3298a0, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x5457fe01, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x43cea312, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xdc1c9424, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x54063053, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x10e4a604, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x82b801de, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x1183e5fc, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xf5653bda, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x00f38b05, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0xcabc1fa0, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xd34f9d32, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x6eb54045, "");
SYMBOL_CRC(hda_ipc_dump, 0x929eb45e, "");
SYMBOL_CRC(hda_ipc4_dump, 0x41894b5a, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x4bc4b83f, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x385aba74, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x04f4b8a7, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xea0c1a23, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x5bd3fbdd, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0xb5d69af7, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xcb189155, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x662fbd0d, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x3ce714fc, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x4b6b4610, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x3204557d, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0xd2b7514d, "");
SYMBOL_CRC(hda_dai_config, 0xc8b16fb5, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x8da8709a, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0xe0293f2e, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0xd33296a5, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0x786feba2, "");
SYMBOL_CRC(hda_ops_free, 0x2c158702, "");
SYMBOL_CRC(skl_dai, 0x48169ce6, "");
SYMBOL_CRC(sof_hda_bus_init, 0x8ebd6670, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x13340022, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0xbb341517, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x3d9a0bf5, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x0dc596ee, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0xadeda177, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0xd5a9c5b0, "");
SYMBOL_CRC(hda_probes_unregister, 0xd6eba606, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30fb8648, "snd_sgbuf_get_addr" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0x8f2a04a2, "snd_sgbuf_get_chunk_size" },
	{ 0x9a87429f, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x25209470, "trace_event_buffer_commit" },
	{ 0x9b3ba77a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48c74073, "hda_codec_resume_cmd_io" },
	{ 0xe0ba4438, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1f423e, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5ffa99a8, "snd_hdac_ext_stream_clear" },
	{ 0x8ca3d593, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x24fb6869, "_dev_info" },
	{ 0xb6ae2eeb, "snd_hdac_ext_bus_link_power" },
	{ 0x4de3d815, "snd_sof_dsp_dbg_dump" },
	{ 0x88a355e7, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4e9f780c, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xdb0beb4, "perf_trace_run_bpf_submit" },
	{ 0x3cb91077, "devm_kfree" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x91cc1751, "snd_sof_dsp_update_bits_forced" },
	{ 0x13236f6c, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x837e5da4, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfa1fadff, "sof_client_dev_register" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x330b1e8a, "trace_event_reg" },
	{ 0xefa38628, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8f7ee29b, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x9c832c80, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc21907c4, "hda_bus_ml_reset_losidv" },
	{ 0xd8def2ba, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xa153e462, "snd_sof_ipc_get_reply" },
	{ 0x7bddf2f2, "snd_sof_dsp_update_bits" },
	{ 0x18093260, "pci_restore_state" },
	{ 0xf3265ba5, "snd_sof_pci_update_bits" },
	{ 0x17b0b691, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x9ebe060c, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x689e0300, "snd_hdac_display_power" },
	{ 0xad22f3d, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x93ed2f30, "snd_pcm_hw_constraint_integer" },
	{ 0xb805c94d, "bpf_trace_run3" },
	{ 0x88630f93, "hda_codec_rirb_status_clear" },
	{ 0x233f58b2, "hda_codec_suspend_cmd_io" },
	{ 0x7271e4db, "snd_sof_ipc_reply" },
	{ 0xfd9ae1e4, "hda_codec_init_cmd_io" },
	{ 0xe47e0e9e, "hda_codec_stop_cmd_io" },
	{ 0x5609b1b7, "hda_codec_detect_mask" },
	{ 0x2f7ac76, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c390990, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37f96054, "sof_ipc_tx_message" },
	{ 0x5172ef51, "snd_sof_dsp_panic" },
	{ 0x64349c03, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x213e6afb, "snd_sof_suspend" },
	{ 0x785cad39, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x67dfb870, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xe580384f, "param_ops_int" },
	{ 0xd3552229, "intel_nhlt_init" },
	{ 0xc168b383, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa6a3686, "sof_client_dev_unregister" },
	{ 0xf284924b, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6365bbf9, "snd_hdac_ext_stream_reset" },
	{ 0xa84afa44, "hdac_bus_eml_get_count" },
	{ 0x7da36952, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xf3cc8511, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a6e39de, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xacae53ca, "hda_codec_jack_check" },
	{ 0xda2e7ab0, "hda_bus_ml_suspend" },
	{ 0xd2884725, "pci_save_state" },
	{ 0x2501a696, "sof_block_read" },
	{ 0xcc690785, "hda_codec_i915_display_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3283b99c, "bpf_trace_run4" },
	{ 0x538aa3f2, "snd_dma_alloc_dir_pages" },
	{ 0x19ecfa8b, "devm_kmalloc" },
	{ 0x40b113fa, "snd_hdac_bus_send_cmd" },
	{ 0x741cc897, "hda_bus_ml_resume" },
	{ 0x42cb993a, "snd_hdac_bus_get_response" },
	{ 0x50e378da, "snd_hdac_ext_stream_start" },
	{ 0x65b45cb, "complete" },
	{ 0x94aca3b9, "trace_raw_output_prep" },
	{ 0xa48c28e3, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x448375ad, "hda_codec_set_codec_wakeup" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbba1d39b, "__trace_trigger_soft_disabled" },
	{ 0xc5bb0660, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xbbf4f9b1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x19d94cf7, "snd_pcm_hw_constraint_minmax" },
	{ 0x3991af4d, "hda_codec_jack_wake_enable" },
	{ 0x68ca6c01, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x657fd120, "snd_hdac_ext_bus_init" },
	{ 0xd342cd67, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x63480077, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdfac7c52, "bpf_trace_run2" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "F2C500EDCEF51027B76AAF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
