#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x438cc36d, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x7be41247, "");
SYMBOL_CRC(cnl_ipc_dump, 0xdf36b916, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x39c32af5, "");
SYMBOL_CRC(sof_cnl_ops, 0x068f5edf, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x0f71dfef, "");
SYMBOL_CRC(jsl_chip_info, 0x350d5369, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb617a446, "hda_dsp_shutdown" },
	{ 0xe70fd20, "__pci_register_driver" },
	{ 0xe4479f16, "hda_dsp_disable_interrupts" },
	{ 0xd342cd67, "pcpu_hot" },
	{ 0xe444d3d5, "hda_dsp_cl_boot_firmware" },
	{ 0x12959892, "hda_dsp_set_power_state_ipc4" },
	{ 0x234200e2, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x651126f2, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0x54063053, "hda_dsp_ipc_get_reply" },
	{ 0x51476075, "hda_power_down_dsp" },
	{ 0x9a6bd8f2, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xbba02c1f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4098a87b, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0xcdd0ac3, "sof_hda_common_ops" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdedfbcd2, "hda_sdw_check_lcount_common" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd8dae74, "hda_pci_intel_probe" },
	{ 0x88a355e7, "sof_mailbox_write" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x91cc1751, "snd_sof_dsp_update_bits_forced" },
	{ 0x7b54a2e0, "sof_pci_remove" },
	{ 0x268873c8, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1c101a67, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x786feba2, "hda_set_dai_drv_ops" },
	{ 0xb11f91af, "hda_dsp_set_power_state_ipc3" },
	{ 0x7b00e40, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa153e462, "snd_sof_ipc_get_reply" },
	{ 0x7bddf2f2, "snd_sof_dsp_update_bits" },
	{ 0xa661760d, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a6b12d9, "hda_common_enable_sdw_irq" },
	{ 0x10e4a604, "hda_dsp_check_ipc_irq" },
	{ 0x7271e4db, "snd_sof_ipc_reply" },
	{ 0xbf3e9688, "cl_dsp_init" },
	{ 0x4bc4b83f, "hda_ipc4_tx_is_busy" },
	{ 0x2c158702, "hda_ops_free" },
	{ 0x69501c89, "snd_soc_acpi_intel_cnl_machines" },
	{ 0x9e92b0f8, "sof_pci_shutdown" },
	{ 0x643033e9, "hda_dsp_core_get" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0xf9f6d4db, "hda_sdw_process_wakeen_common" },
	{ 0xa819438a, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0x5172ef51, "snd_sof_dsp_panic" },
	{ 0xd915e66a, "hda_dsp_ipc4_load_library" },
	{ 0x6eb54045, "hda_ipc_irq_dump" },
	{ 0x43cea312, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x85470567, "hda_common_check_sdw_irq" },
	{ 0x9d401252, "sof_pci_pm" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1a4383c6, "snd_soc_acpi_intel_cfl_machines" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd582669e, "hda_sdw_check_wakeen_irq_common" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "636D538188C95ADAF6E371D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
