#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xe15d0514, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x2f920fda, "_gpl");
SYMBOL_CRC(af_alg_release, 0xf917814e, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x6639feaf, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xcbcaff68, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x8dc90aa1, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xda9abf66, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x7ec38028, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xb7b023d0, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xa31518ce, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x26f712d1, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x5dfb114d, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x3d7033d1, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x346c3a2b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee77557f, "sk_alloc" },
	{ 0xcac61d49, "sock_init_data" },
	{ 0x7210a249, "sock_kmalloc" },
	{ 0x7a9a63bc, "proto_register" },
	{ 0xb0168d1, "sock_register" },
	{ 0xbf4dde9c, "proto_unregister" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb53856b, "up_read" },
	{ 0x8ad3a945, "try_module_get" },
	{ 0xa0e181e8, "lock_sock_nested" },
	{ 0xb668e6c7, "release_sock" },
	{ 0xada8c555, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x55b169f1, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c97929b, "sk_free" },
	{ 0x89420ae9, "security_sock_graft" },
	{ 0xa9ff169c, "security_sk_clone" },
	{ 0xb972d568, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf1bc4d54, "__folio_put" },
	{ 0xe73683e9, "__put_devmap_managed_folio_refs" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x358f49ca, "extract_iter_to_sg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xeed7fd81, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x94edf2b3, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba3d6296, "sock_wake_async" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe2a7ebe2, "_copy_from_iter" },
	{ 0xe9ffb059, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xdacb4a02, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc8d3cd8f, "iov_iter_revert" },
	{ 0xcbcee61e, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x40405b8e, "key_put" },
	{ 0xf167afc3, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x62973ad8, "sock_no_connect" },
	{ 0x5c0ddd41, "sock_no_socketpair" },
	{ 0x5fffb15c, "sock_no_getname" },
	{ 0x72c55bd3, "sock_no_ioctl" },
	{ 0xa2e7c944, "sock_no_listen" },
	{ 0xf6eaafac, "sock_no_shutdown" },
	{ 0xdd8407c6, "sock_no_sendmsg" },
	{ 0x743c3032, "sock_no_recvmsg" },
	{ 0xd3c99ac0, "sock_no_mmap" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
