#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xcc294ae8, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x26e2a128, "");
SYMBOL_CRC(__bcma_driver_register, 0xae001326, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x5b2c4719, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x96e85336, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x23e65c16, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xb6f789fc, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x6b4c2123, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x96d7d8fc, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x2cf007df, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x912951db, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xbc60030b, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x55dcd425, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x04979b40, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xd659ce88, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xf4159229, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x7966a224, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xe53f328f, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x347457d3, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x6c72cf87, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x418cab0b, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xf197f2eb, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x331bcffe, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xa5cee612, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xb5110b78, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xa38cc95d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9dbcdba0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13495e70, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x4787c5af, "gpiochip_get_data" },
	{ 0xb9253e9b, "bus_unregister" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x5b634787, "device_add" },
	{ 0xa8b6563f, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xeedf714f, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x551adf89, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xed9f18, "_dev_warn" },
	{ 0xc9f45d8a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xf41b063, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x410273f9, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xc0b93672, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x10d2fb38, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc94a84dd, "pci_disable_device" },
	{ 0xed2b73c8, "pcie_set_readrq" },
	{ 0xb1d84d35, "driver_register" },
	{ 0x48d8e377, "__dev_fwnode" },
	{ 0x6f2b72bb, "pci_write_config_dword" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x87be7b43, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcd617c98, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc310d2d8, "dev_set_name" },
	{ 0x7b397130, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe7704a43, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe70fd20, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5ad5d462, "device_initialize" },
	{ 0xb007cc7d, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b137dcb, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xbba02c1f, "pci_unregister_driver" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
