#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xd03c1457, "");
SYMBOL_CRC(cx88_querycap, 0xe59e69c3, "");
SYMBOL_CRC(cx88_enum_input, 0xb35d17c6, "");
SYMBOL_CRC(cx88_set_freq, 0x0174e378, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x9aaeb007, "cx88_ir_stop" },
	{ 0x9e8d1d08, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9eb8ec5, "video_devdata" },
	{ 0x8cca9eed, "cx88_set_tvnorm" },
	{ 0x9186517b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x5ca72578, "v4l2_ctrl_find" },
	{ 0x48b2a76b, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x46ec1399, "__v4l2_ctrl_s_ctrl" },
	{ 0xdb0e76f4, "vb2_plane_cookie" },
	{ 0x8c1e1fae, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbef50348, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x995e6f87, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x54eaa901, "cx88_set_stereo" },
	{ 0x8a794f21, "vb2_buffer_done" },
	{ 0x1f5bfe0, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf6e6549e, "video_unregister_device" },
	{ 0xef421f7d, "kthread_stop" },
	{ 0x142fbfa5, "i2c_new_client_device" },
	{ 0xe8c3c22c, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x72823c92, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc9f45d8a, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xa0d91525, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xee33d727, "vb2_fop_read" },
	{ 0x88ab3595, "cx88_sram_channel_dump" },
	{ 0xb64926f3, "kthread_create_on_node" },
	{ 0xc92d5dc3, "cx88_sram_channel_setup" },
	{ 0xd9425574, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8552d9cd, "__video_register_device" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x41aeb8de, "vb2_ioctl_streamon" },
	{ 0x7d15b4ca, "vb2_fop_poll" },
	{ 0x9be45b7, "v4l2_ctrl_new_std" },
	{ 0xc94a84dd, "pci_disable_device" },
	{ 0x86a00861, "dma_set_mask" },
	{ 0x64ec2b29, "v4l2_i2c_new_subdev" },
	{ 0x9c257e00, "pci_read_config_byte" },
	{ 0xe580384f, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd022a15c, "cx88_newstation" },
	{ 0xa6ddda35, "v4l2_event_unsubscribe" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xea13aa62, "vb2_ioctl_reqbufs" },
	{ 0xb57fbd86, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcd56806d, "vb2_dma_sg_memops" },
	{ 0x532460ad, "cx88_reset" },
	{ 0x55772f6d, "v4l2_ctrl_poll" },
	{ 0xee972fe3, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1fc4a3d1, "cx88_wakeup" },
	{ 0xcd617c98, "pci_enable_device" },
	{ 0xe5dcbc0e, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x5733598f, "v4l2_ctrl_add_handler" },
	{ 0x402ef64c, "v4l2_i2c_new_subdev_board" },
	{ 0xdeb748ff, "cx88_set_scale" },
	{ 0xe70fd20, "__pci_register_driver" },
	{ 0x49bf85ac, "cx88_shutdown" },
	{ 0xf7d3b0eb, "cx88_vdev_init" },
	{ 0x51bcbdf1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fcbd5f7, "vb2_ioctl_querybuf" },
	{ 0xabb59370, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfd426b55, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x520c423e, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbba02c1f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc2186122, "wake_up_process" },
	{ 0x9bb480dc, "cx88_core_get" },
	{ 0x97f548a1, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
