#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0x2c59edec, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0x6bdc98c0, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0x275b5446, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0xed248fa9, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0xe24ba54b, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0xdeefe22c, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0x75169557, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0xe56d3221, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe4f122d, "__sdhci_set_timeout" },
	{ 0x79eae1b, "mmc_regulator_set_ocr" },
	{ 0x674f4b56, "mmc_regulator_set_vqmmc2" },
	{ 0x3082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa75aa769, "sdhci_remove_host" },
	{ 0xce2e1ad4, "sdhci_setup_host" },
	{ 0x1fdaf707, "__sdhci_add_host" },
	{ 0x2e6159d6, "sdhci_cleanup_host" },
	{ 0xe73cc971, "regulator_get_current_limit" },
	{ 0x8541857e, "sdhci_data_line_cmd" },
	{ 0xeffbb3fa, "sdhci_initialize_data" },
	{ 0x50fbaee5, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x49d0c863, "sdhci_mod_timer" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xa4f731b1, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x21ec0825, "sdhci_dumpregs" },
	{ 0xebe76e17, "sdhci_finish_mrq" },
	{ 0x2feaa2eb, "sdhci_request" },
	{ 0x277d571a, "__sdhci_finish_mrq" },
	{ 0x3749e7cb, "__sdhci_finish_data_common" },
	{ 0x1edddca6, "mmc_command_done" },
	{ 0x913ab369, "sdhci_needs_reset" },
	{ 0x9396b36d, "sdhci_do_reset" },
	{ 0x5a9a779c, "sdhci_request_done_dma" },
	{ 0xf2ebf1d4, "mmc_request_done" },
	{ 0xe63d204, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x8236c57a, "sdhci_complete_work" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfdc4787f, "sdhci_set_ios_common" },
	{ 0xfa5ae311, "sdhci_set_clock" },
	{ 0xca0723a3, "sdhci_enable_preset_value" },
	{ 0xe6520aed, "sdhci_set_ios" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
