#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x3ddee6f8, "_gpl");
SYMBOL_CRC(rndis_command, 0x3058aa56, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xd23f0b5e, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x9020abc8, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x5e33aa97, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0xb965a6de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3af55846, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x587adad4, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24fb6869, "_dev_info" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0xc55bf892, "usbnet_generic_cdc_bind" },
	{ 0xc1c9a481, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x939f0748, "__dynamic_netdev_dbg" },
	{ 0x545bdcc4, "dev_addr_mod" },
	{ 0xed9f18, "_dev_warn" },
	{ 0xea7e26a9, "skb_pull" },
	{ 0x9248986f, "skb_trim" },
	{ 0xa555ba79, "usbnet_cdc_zte_rx_fixup" },
	{ 0xac38d630, "skb_clone" },
	{ 0xd08ecd6, "usbnet_skb_return" },
	{ 0xaf992466, "skb_copy_expand" },
	{ 0xa73b1f5f, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd3965656, "usb_register_driver" },
	{ 0x209bed81, "usb_deregister" },
	{ 0x79b20f05, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6d463f5b, "usbnet_probe" },
	{ 0xa8db5496, "usbnet_disconnect" },
	{ 0x4ade7e5f, "usbnet_suspend" },
	{ 0xb2a6d162, "usbnet_resume" },
	{ 0x305734a2, "usbnet_open" },
	{ 0x7d6f87fe, "usbnet_stop" },
	{ 0xe9b81b95, "usbnet_start_xmit" },
	{ 0x9cddb6de, "eth_mac_addr" },
	{ 0x48c0c1ec, "eth_validate_addr" },
	{ 0xf8ca1f09, "usbnet_tx_timeout" },
	{ 0x3743792c, "dev_get_tstats64" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
