#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x2f606084, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x656023cf, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x10eb8e9a, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x412c39af, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x2078753c, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x839ecde6, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x4c015eca, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x97f9feec, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x58666dc0, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x8dd66e37, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x70b906fa, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x07304871, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xd0a9ccd6, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x7c11fad0, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x5ebdc101, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0xdd177a81, "");
SYMBOL_CRC(rtw89_pm_ops, 0x6e8e76c0, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0xd7e78863, "");
SYMBOL_CRC(rtw89_pci_probe, 0x9dbda61c, "");
SYMBOL_CRC(rtw89_pci_remove, 0xfbb47a06, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0xedc95b70, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x46602fc5, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x2acd5a26, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d5012a2, "rtw89_ser_notify" },
	{ 0x9f047723, "__netdev_alloc_skb" },
	{ 0x8fb02ee1, "skb_unlink" },
	{ 0xee0221fa, "dma_set_coherent_mask" },
	{ 0xd55cf633, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9425574, "dma_free_attrs" },
	{ 0x534a519, "rtw89_core_rx" },
	{ 0x8c390990, "param_ops_bool" },
	{ 0x10d2fb38, "pci_release_regions" },
	{ 0x78eb7aa0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x31130f08, "rtw89_core_deinit" },
	{ 0xd7cfeee7, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc94a84dd, "pci_disable_device" },
	{ 0x86a00861, "dma_set_mask" },
	{ 0xa2426f58, "napi_schedule_prep" },
	{ 0x9c257e00, "pci_read_config_byte" },
	{ 0xa73b1f5f, "dev_kfree_skb_any_reason" },
	{ 0x9f6efdd1, "rtw89_debug" },
	{ 0x612cb00d, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1814ca79, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x85f9377d, "rtw89_chip_info_setup" },
	{ 0x9437ad47, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1f8f7629, "pcie_capability_read_word" },
	{ 0xcfcaeb16, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x82e9fad5, "rtw89_alloc_ieee80211_hw" },
	{ 0x4a2f0c2a, "devm_request_threaded_irq" },
	{ 0xcd617c98, "pci_enable_device" },
	{ 0xe6aa5a2f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa7aaa168, "consume_skb" },
	{ 0x7b397130, "pci_iomap" },
	{ 0x3fe7f0c9, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0x3b64ff84, "skb_dequeue" },
	{ 0xa4880039, "dma_unmap_page_attrs" },
	{ 0xb007cc7d, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd342cd67, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4692ffa6, "rtw89_core_napi_init" },
	{ 0x7629b3e6, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62d4fdc0, "dev_driver_string" },
	{ 0x9a94cc6e, "ieee80211_tx_status_skb" },
	{ 0x9dbcdba0, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4c91fffd, "dma_map_page_attrs" },
	{ 0x51bcee8f, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x64b2b0f0, "devm_free_irq" },
	{ 0x993b4060, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x246a6f27, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfa4ce4f5, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc0ebd500, "__dma_sync_single_for_cpu" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x9093f7c6, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc0bab9d, "rtw89_core_napi_deinit" },
	{ 0x8b12d2a1, "skb_push" },
	{ 0x12970ddd, "dma_alloc_attrs" },
	{ 0xbca1e548, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1dec9594, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x551adf89, "pci_iounmap" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xed9f18, "_dev_warn" },
	{ 0xc9f45d8a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "E7465AE65B6566FA43D915E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
