#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wl1251_init_ieee80211, "_gpl", "");
KSYMTAB_FUNC(wl1251_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wl1251_free_hw, "_gpl", "");

SYMBOL_CRC(wl1251_init_ieee80211, 0xdac9b100, "_gpl");
SYMBOL_CRC(wl1251_alloc_hw, 0x23c2708d, "_gpl");
SYMBOL_CRC(wl1251_free_hw, 0x3356d73e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xfffa6c18, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd5c1502d, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x832e86a6, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x9f047723, "__netdev_alloc_skb" },
	{ 0x5722060, "ieee80211_stop_queues" },
	{ 0x9248986f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x66595407, "ieee80211_scan_completed" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x10795fa6, "ieee80211_unregister_hw" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe10006c3, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x1268f8e3, "debugfs_create_file_full" },
	{ 0x6166b1bf, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdfb4133d, "ieee80211_queue_work" },
	{ 0xa73b1f5f, "dev_kfree_skb_any_reason" },
	{ 0x87860312, "debugfs_create_dir" },
	{ 0x8ab94b81, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6686d549, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0x8bf8ce2f, "skb_queue_head" },
	{ 0xd9adc821, "ieee80211_rx_napi" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe6aa5a2f, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa7aaa168, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3b64ff84, "skb_dequeue" },
	{ 0x45f390ea, "ieee80211_free_hw" },
	{ 0x2ab87e69, "ieee80211_probereq_get" },
	{ 0x258f9ecb, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32ce34a8, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x16465c71, "ieee80211_nullfunc_get" },
	{ 0xd342cd67, "pcpu_hot" },
	{ 0x3fbd0a03, "ieee80211_pspoll_get" },
	{ 0xeba65e0a, "ieee80211_register_hw" },
	{ 0x97dc721d, "ieee80211_emulate_change_chanctx" },
	{ 0x62d3899, "ieee80211_get_hdrlen_from_skb" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9a94cc6e, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xdc3d4f9c, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xaf992466, "skb_copy_expand" },
	{ 0x246a6f27, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbefe71b2, "ieee80211_queue_delayed_work" },
	{ 0x22345db2, "simple_open" },
	{ 0xea7e26a9, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8b12d2a1, "skb_push" },
	{ 0x91dc4464, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0xffdbef3a, "ieee80211_wake_queues" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "02CEB771C013CC3872A7F5B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
