#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_soft_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xfcf5ea32, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xd3276d61, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x74b24f20, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x671a3974, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x8344d1e7, "");
SYMBOL_CRC(cdns_read_ping_status, 0xbe41531d, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x92e99c4f, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xaf729f2b, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x7a01ac50, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x63d32f6e, "");
SYMBOL_CRC(sdw_cdns_soft_reset, 0xd62b4488, "");
SYMBOL_CRC(sdw_cdns_init, 0x2d9ef292, "");
SYMBOL_CRC(cdns_bus_conf, 0x48299eca, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xba228ced, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x8ed29da8, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xf39b73ce, "");
SYMBOL_CRC(sdw_cdns_probe, 0x31f93641, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xe2e99bf6, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x812cc346, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xd5f9609c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6566789, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8fb82fa2, "sdw_handle_slave_status" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24fb6869, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x60568450, "debugfs_attr_read" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x6bc06e65, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbac38856, "seq_read" },
	{ 0x10734df4, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x96099a36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1268f8e3, "debugfs_create_file_full" },
	{ 0x56377434, "single_release" },
	{ 0xbeacabd0, "sdw_bread_no_pm_unlocked" },
	{ 0xab2b36b7, "__pm_runtime_suspend" },
	{ 0xe580384f, "param_ops_int" },
	{ 0x9e9e257b, "single_open" },
	{ 0xd983d18d, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d7b7eaf, "sdw_bus_prep_clk_stop" },
	{ 0xa54e1737, "simple_attr_open" },
	{ 0xbe2841fb, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x19ecfa8b, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x329d1171, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "3D9A0FBC509DD903A7A9390");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
