#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x41655f31, "");
SYMBOL_CRC(ssb_bus_suspend, 0x7ac4a0d1, "");
SYMBOL_CRC(ssb_bus_unregister, 0xf4c8e824, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x21c7c948, "");
SYMBOL_CRC(__ssb_driver_register, 0x1c8cdb00, "");
SYMBOL_CRC(ssb_driver_unregister, 0x5f3c4f6a, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x1c0a0acf, "");
SYMBOL_CRC(ssb_clockspeed, 0x7efe1a61, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x8ce8a899, "");
SYMBOL_CRC(ssb_device_enable, 0x6c1c6f1a, "");
SYMBOL_CRC(ssb_device_disable, 0x5dd7a6f9, "");
SYMBOL_CRC(ssb_dma_translation, 0xf842c242, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xa22642f8, "");
SYMBOL_CRC(ssb_bus_powerup, 0xfdbfdb32, "");
SYMBOL_CRC(ssb_commit_settings, 0xaebd1dd5, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x61bad5ec, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x07a4aaaf, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x3d828a4a, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x33647890, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x7041278f, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x25c10300, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10737736, "device_create_file" },
	{ 0xf4a66a91, "sdio_readsb" },
	{ 0x4787c5af, "gpiochip_get_data" },
	{ 0xb9253e9b, "bus_unregister" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6b54ea2c, "pcmcia_request_window" },
	{ 0x7e310e88, "pci_read_config_word" },
	{ 0xc7038c61, "sdio_readl" },
	{ 0xeedf714f, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x909cad04, "pcmcia_write_config_byte" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x551adf89, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdf17237c, "device_register" },
	{ 0x18093260, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1059984c, "sdio_writel" },
	{ 0xc9f45d8a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xf41b063, "gpiochip_add_data_with_key" },
	{ 0x4d06b79b, "_dev_emerg" },
	{ 0x410273f9, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x10d2fb38, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc94a84dd, "pci_disable_device" },
	{ 0xc48fb6b, "sdio_writesb" },
	{ 0xa366da88, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x17519bb4, "pcmcia_register_driver" },
	{ 0xd6c17f5f, "pci_write_config_word" },
	{ 0xe929b922, "pcmcia_loop_tuple" },
	{ 0xf971f81f, "pcmcia_enable_device" },
	{ 0xb1d84d35, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f2b72bb, "pci_write_config_dword" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x21279a37, "device_remove_file" },
	{ 0x87be7b43, "bus_register" },
	{ 0xc552333d, "sdio_readb" },
	{ 0x5a2884, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd2884725, "pci_save_state" },
	{ 0x36e16589, "sdio_release_host" },
	{ 0x11a812bc, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcd617c98, "pci_enable_device" },
	{ 0x630fc73e, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc310d2d8, "dev_set_name" },
	{ 0xae3b4343, "sdio_claim_host" },
	{ 0x7b397130, "pci_iomap" },
	{ 0xa4dce0df, "sdio_readw" },
	{ 0xe7704a43, "device_unregister" },
	{ 0x57fa15e8, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe70fd20, "__pci_register_driver" },
	{ 0x23b637cf, "pcmcia_unregister_driver" },
	{ 0xb66a07ac, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x17be8ef0, "pcmcia_map_mem_page" },
	{ 0xb007cc7d, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x5d6acf85, "sdio_writew" },
	{ 0x1b137dcb, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xbba02c1f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62d4fdc0, "dev_driver_string" },
	{ 0x9dbcdba0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13495e70, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
