#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0xb011fd41, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x1f6de055, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0xd5703962, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0xacf0d171, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x64a49668, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x49f4d658, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0xf9e2d19f, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x421c44b2, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5184ef3e, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x20960722, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x60c4ef9c, "sysfs_create_group" },
	{ 0x8ec2d728, "sysfs_remove_file_ns" },
	{ 0x1c887ef6, "sysfs_remove_group" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x51ab276f, "pcim_iomap_regions" },
	{ 0x31e5b584, "pcim_iomap_table" },
	{ 0x2ca75f81, "proc_thermal_wt_hint_add" },
	{ 0xc4c972f4, "proc_thermal_rfim_add" },
	{ 0x87874fc8, "proc_thermal_wt_req_add" },
	{ 0x856a3a3b, "proc_thermal_rapl_add" },
	{ 0xaffe5e2d, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x64540e72, "proc_thermal_wt_hint_remove" },
	{ 0x43ee5b31, "proc_thermal_wt_req_remove" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xb0a04d9f, "thermal_zone_device_update" },
	{ 0xbb066174, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xfaa382ea, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0200fd2, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa7f78b9a, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "1D4B87AA6FB26DBBAA8DF32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
