#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0xac4c5a96, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x0fb80b23, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xbcb7e7cd, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x585d1278, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x1c2402e3, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x5f1cc3af, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40d13838, "devm_regulator_get" },
	{ 0xe0701217, "snd_soc_component_disable_pin_unlocked" },
	{ 0x24fb6869, "_dev_info" },
	{ 0x8869188d, "snd_soc_info_volsw" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x388581dd, "wm_adsp_event" },
	{ 0x164fbac, "snd_soc_dapm_put_volsw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x727929e, "snd_ctl_notify" },
	{ 0xc02fdb66, "wm_adsp_fw_enum" },
	{ 0xed9f18, "_dev_warn" },
	{ 0xcd45f7b4, "wm_adsp2_component_probe" },
	{ 0xb51bf917, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcc3b20cb, "wm_adsp2_preloader_get" },
	{ 0xc9d8635d, "snd_soc_info_enum_double" },
	{ 0x647bbac0, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcee84e54, "devm_regmap_add_irq_chip" },
	{ 0xf981faa5, "snd_soc_get_volsw" },
	{ 0x3fcde12b, "regmap_read" },
	{ 0x1eb10133, "snd_soc_put_volsw" },
	{ 0xba965da9, "wm_adsp_fw_get" },
	{ 0x10734df4, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x76acf5ad, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9edca24c, "regmap_bulk_read" },
	{ 0x49d910ee, "regmap_update_bits_base" },
	{ 0x79f42335, "regulator_disable" },
	{ 0xd78e9700, "dev_err_probe" },
	{ 0x23207e62, "regmap_multi_reg_write" },
	{ 0x68fb813c, "snd_soc_dapm_get_volsw" },
	{ 0xab2b36b7, "__pm_runtime_suspend" },
	{ 0xa2f20d58, "regmap_register_patch" },
	{ 0x8855ccd9, "snd_soc_dapm_get_enum_double" },
	{ 0xea1c38c8, "__pm_runtime_use_autosuspend" },
	{ 0x642f6915, "wm_halo_init" },
	{ 0x8358e71c, "wm_adsp_early_event" },
	{ 0x18946a75, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x847423a9, "snd_soc_dapm_put_enum_double" },
	{ 0xc3b68475, "wm_adsp_fw_put" },
	{ 0xc4a0f1fb, "regulator_enable" },
	{ 0x16ad1351, "regcache_cache_only" },
	{ 0xe998e358, "regcache_sync" },
	{ 0xc5a1f9f6, "regmap_write" },
	{ 0x4a2f0c2a, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x82f1dd70, "snd_soc_component_get_kcontrol" },
	{ 0x94bc71f1, "pm_runtime_set_autosuspend_delay" },
	{ 0xe498826e, "gpiod_set_value_cansleep" },
	{ 0x4f656372, "wm_adsp2_remove" },
	{ 0x54cae037, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9333ecc7, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8678e13, "devm_gpiod_get_optional" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12407a97, "__pm_runtime_set_status" },
	{ 0x205b41e1, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71424ddc, "pm_runtime_enable" },
	{ 0xe80e1f43, "device_property_read_u32_array" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "53BE2582FD8BF031369F854");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
