#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33737410, "input_register_device" },
	{ 0x60c143da, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xe9c17ba8, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcf80a477, "snd_card_new" },
	{ 0xa0870ef7, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3860cf29, "snd_card_set_id" },
	{ 0xa68ba0dd, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xec5beb8e, "snd_card_free_when_closed" },
	{ 0x6c0f92ae, "usb_set_interface" },
	{ 0xb18b7e7c, "snd_pcm_set_ops" },
	{ 0x209bed81, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x260043, "usb_string" },
	{ 0xcc74eaf3, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xed9f18, "_dev_warn" },
	{ 0x2c4fcea0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xa5444297, "input_event" },
	{ 0x4e2ead2e, "input_set_abs_params" },
	{ 0x6bcc55d, "snd_rawmidi_new" },
	{ 0x19697130, "snd_card_disconnect" },
	{ 0x74a13bd4, "snd_rawmidi_set_ops" },
	{ 0x8c390990, "param_ops_bool" },
	{ 0xca4e3afa, "__kmalloc_cache_noprof" },
	{ 0x7ba92b0d, "usb_kill_urb" },
	{ 0x769758f5, "usb_init_urb" },
	{ 0xf21a145c, "snd_pcm_period_elapsed" },
	{ 0xe580384f, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe7bd6806, "kmalloc_caches" },
	{ 0xbda458f8, "input_allocate_device" },
	{ 0xff816213, "usb_alloc_urb" },
	{ 0x368a532f, "snd_rawmidi_receive" },
	{ 0x2c03e0fd, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x14fb6a63, "snd_rawmidi_transmit" },
	{ 0xeb47fe32, "snd_ctl_add" },
	{ 0xe99ab1ca, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5950a07a, "snd_card_register" },
	{ 0x5d665789, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd3965656, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x51bcbdf1, "param_array_ops" },
	{ 0xdc3b00a4, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x5df649dd, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x583f9ecd, "input_free_device" },
	{ 0xcd9ac1a5, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x678d8d2c, "usb_bulk_msg" },
	{ 0x76f7895d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
